Jump to content

Ghost Recon Future Soldier


Photo

["insert CD" message after patching a D2D version]


11 replies to this topic

#1 RileyFletcher_01

RileyFletcher_01

    Ghost - 1st Class

  • Members
  • PipPipPipPip
  • 3,060 posts
  • Gender:Male
  • Location:Texas

Posted 02 February 2012 - 09:35 PM

My dad doesn't have an account here so I'm posting this for him. He had an issue with GR so he uninstalled and installed it again. It ran fine and he tried to join a game and remembered he didn't patch it. I sent him the 1.35 and 1.4 patches, and after installing 1.35 or 1.4 he couldn't start the game. Upon start up it says to insert the original CD. He doesn't have it since he downloaded the game from D2D. So that's pretty much it. Any idea what we can do?

Edited by rileyfletcher_01, 02 February 2012 - 11:39 PM.


#2 Hammer

Hammer

    Ghost - 3rd Class

  • GR.net Supporter
  • 1,821 posts
  • Gender:Male
  • Location:The land of our fathers, Cymru am Byth

Posted 02 February 2012 - 10:26 PM

If its d2d from, someone like steam, its already patched to 1.4 :whistle:
Posted Image
Men of Harlech onto glory, This shall ever be your story
Keep this fighting words before ye, Welshmen will not yield
.

#3 RileyFletcher_01

RileyFletcher_01

    Ghost - 1st Class

  • Members
  • PipPipPipPip
  • 3,060 posts
  • Gender:Male
  • Location:Texas

Posted 02 February 2012 - 10:34 PM

No, we got it five years ago. I don't even know if the patch was out then. I still had to patch it upon downloading. When he joined my game it said incorrect software version, so....

#4 Operative

Operative

    Pointman - 3rd Class

  • Members
  • PipPipPip
  • 565 posts
  • Gender:Male

Posted 03 February 2012 - 01:52 AM

I think it already comes at 1.3, not sure,

#5 Tinker

Tinker

     

  • Staff
  • 7,806 posts
  • Gender:Male
  • Location:UK

Posted 03 February 2012 - 11:19 AM

Island thunder has 1.35 patch included, so if you have all the games you only need 1.4. Applying the 1.35 patch will give you the error mentioned. Need to do a clean reinstall
Posted Image

#6 Operative

Operative

    Pointman - 3rd Class

  • Members
  • PipPipPip
  • 565 posts
  • Gender:Male

Posted 03 February 2012 - 12:16 PM

Yeah, Tinker got it. I had the same issue installing GR Gold Edition.

#7 RileyFletcher_01

RileyFletcher_01

    Ghost - 1st Class

  • Members
  • PipPipPipPip
  • 3,060 posts
  • Gender:Male
  • Location:Texas

Posted 03 February 2012 - 02:58 PM

Will try and post results later.

#8 RileyFletcher_01

RileyFletcher_01

    Ghost - 1st Class

  • Members
  • PipPipPipPip
  • 3,060 posts
  • Gender:Male
  • Location:Texas

Posted 03 February 2012 - 03:19 PM

He followed the steps you said, Tinker. Still didn't work.

Install GR (from folder, not disk)

Install Desert Siege

Install Island Thunder

Works at this time, starts up right. Cannot join other games, incorrect software version (1.35)

Update to v1.4 with RSE 1.4 patch.

Asks for CD upon startup.

Posted Image

#9 RileyFletcher_01

RileyFletcher_01

    Ghost - 1st Class

  • Members
  • PipPipPipPip
  • 3,060 posts
  • Gender:Male
  • Location:Texas

Posted 03 February 2012 - 03:32 PM

All right, I had an idea and it worked! Posted Image I kept thinking we should do it EXACTLY like the first time, and then I thought, wait--we had the patches years before we ever got the expansion packs. So I told him to install 1.35 and 1.4 after installing GR, and it worked. Then he installed DS and IT and it still starts up and works fine. Thanks for the help.

#10 Operative

Operative

    Pointman - 3rd Class

  • Members
  • PipPipPip
  • 565 posts
  • Gender:Male

Posted 03 February 2012 - 03:43 PM

Glad you made it work :thumbsup:

#11 Pave Low

Pave Low

     

  • Admin
  • 4,774 posts
  • Gender:Male
  • Location:Cambridge, UK

Posted 03 February 2012 - 04:20 PM

I sent him the 1.35 and 1.4 patches, and after installing 1.35 or 1.4 he couldn't start the game. Upon start up it says to insert the original CD.
~
He doesn't have it since he downloaded the game from D2D. So that's pretty much it. Any idea what we can do?


The Boxed retail game uses a CD check as DRM

But Direct2Drive being a download media used it's own License checker as DRM.

you cant use Retail game patches with most D2D games for exactly this reason, You need to patch with the D2D specific GR patches

as it said on the D2D website:

You must use patches we provide for Direct2Drive games. Outside files cannot be used to patch Direct2Drive games.

Direct2Drive games are not compatible to expansion packs purchased at retail stores on cdrom.
Only expansion packs offered by Direct2Drive are compatible to Direct2Drive games.

There have been several previous threads on the huge drawbacks of D2D before
EG

http://www.ghostreco...showtopic=29414
http://www.ghostreco...showtopic=36349
http://www.ghostreco...showtopic=33703


But since D2D was bought by gamefly not sure of a working link for the D2D GR patches anymore (or if they are even still available).



and then I thought, wait-we had the patches years before we ever got the expansion packs.

Patch 1.3 was issued after DS and Patch 1.4 was issued after IT

So I told him to install 1.35 and 1.4 after installing GR, and it worked. Then he installed DS and IT and it still starts up and works fine.


by installing the expansions after using the retail patch you have just undone some of the benefits of the patches, in effect unpatching parts of the game (which is why you don't get the CD check anymore despite using a retail patch) which will cause you issues down the line

you really need to uninstall completely, install GR, DS & IT and then patch using the D2D patch (if can still get it/them)


*If you cant get the D2D patches, no worries as can just get GR/DS/IT from Steam or a box set for a few Pounds/Dollars nowadays
Posted Image

Posted Image . Posted Image . Posted Image . Posted Image . Posted Image .Posted Image . Posted Image

Posted Image . Posted Image . Posted Image . Posted Image

#12 RileyFletcher_01

RileyFletcher_01

    Ghost - 1st Class

  • Members
  • PipPipPipPip
  • 3,060 posts
  • Gender:Male
  • Location:Texas

Posted 03 February 2012 - 08:34 PM

.....don't want to argue with you, but first of all I already fixed it. Secondly, we had the patches before WE GOT DS and IT, not before they came out. I just found out about DS and IT last year. Sorry for confusion. Everything's fixed though, so.....




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users